<?php
	global $sess;
	
	if (!($ord=$_GET['ord']))
		$ord = 'NAZWA';

	if (!($mode=$_GET['mode']))
		$mode = 'std';
	$cykl = $_GET['Ad_cykl'];
	
	if ($mode == 'old') {
		$s= 	"select p.KOD, p.NAZWA, c.ID, c.XP_OBSLUGA as XP_OBSLUGA, old.XP_OBSLUGA as OLD_OBSLUGA "
			."from XP_ZAJECIA_CYKLI c, XP_ZAJECIA_CYKLI old, XP_PRZEDMIOTY p "
			."where c.CDYD_KOD='$cykl' and p.KOD=c.PRZ_KOD and old.PRZ_KOD=c.PRZ_KOD "
			."order by '$ord'";
	} else {
		$s= 	"select p.KOD, p.NAZWA, c.ID, c.XP_OBSLUGA "
			."from XP_ZAJECIA_CYKLI c, XP_PRZEDMIOTY p "
			."where c.CDYD_KOD='$cykl' and p.KOD=c.PRZ_KOD "
			."order by '$ord'";
	}
	$q = new CQuery ($s);

	$Ad_przedmioty = array();
	$Ad_kody = array();
	$Ad_checked = array();
	
	while ($arr = $q->fetch_array()) {
		$Ad_przedmioty[$arr[ID]] = $arr[NAZWA];
		$Ad_kody[$arr[ID]] = $arr[KOD];
		if ($mode == 'uncheck')
			$Ad_checked[$arr[ID]] = false;
		else if ($mode == 'allcheck')
			$Ad_checked[$arr[ID]] = true;
		else if ($mode == 'old')
			$Ad_checked[$arr[ID]] = ($arr[OLD_OBSLUGA] == 'Y');
		else
			$Ad_checked[$arr[ID]] = ($arr[XP_OBSLUGA] == 'Y');
	}
?>
